com.r3corda.core.node.services / StateMachineRecordedTransactionMappingStorage

# StateMachineRecordedTransactionMappingStorage

`interface StateMachineRecordedTransactionMappingStorage`

This is the interface to storage storing state machine -> recorded tx mappings. Any time a transaction is recorded during a protocol run addMapping should be called.

### Functions

addMapping | `abstract fun addMapping(stateMachineRunId: StateMachineRunId, transactionId: SecureHash): Unit`
track | `abstract fun track(): <ERROR CLASS><List<StateMachineTransactionMapping>, <ERROR CLASS><StateMachineTransactionMapping>>`

### Inheritors

InMemoryStateMachineRecordedTransactionMappingStorage | `class InMemoryStateMachineRecordedTransactionMappingStorage : StateMachineRecordedTransactionMappingStorage` This is a temporary in-memory storage of a state machine id -> txhash mapping